org.jboss.resteasy.client.core

## Class ClientInvoker

- java.lang.Object
- - org.jboss.resteasy.client.core.ClientInterceptorRepositoryImpl
  - - org.jboss.resteasy.client.core.ClientInvoker

- All Implemented Interfaces:
    ClientInterceptorRepository, MethodInvoker

      public class ClientInvoker
      extends ClientInterceptorRepositoryImpl
      implements MethodInvoker

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MediaType` | `accepts`
    `protected Map<String,Object>` | `attributes`
    `protected URI` | `baseUri`
    `protected Class` | `declaring`
    `protected ClientExecutor` | `executor`
    `protected EntityExtractor` | `extractor`
    `protected EntityExtractorFactory` | `extractorFactory`
    `protected boolean` | `followRedirects`
    `protected String` | `httpMethod`
    `protected Marshaller[]` | `marshallers`
    `protected Method` | `method`
    `protected ResteasyProviderFactory` | `providerFactory`
    `protected ResteasyUriBuilder` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInvoker(URI baseUri, Class declaring, Method method, ProxyConfig config)`
    `ClientInvoker(URI baseUri, Class declaring, Method method, ResteasyProviderFactory providerFactory, ClientExecutor executor, EntityExtractorFactory extractorFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClientRequest` | `createRequest(Object[] args)`
    `void` | `followRedirects()`
    `MediaType` | `getAccepts()`
    `Map<String,Object>` | `getAttributes()`
    `Class` | `getDeclaring()`
    `String` | `getHttpMethod()`
    `Method` | `getMethod()`
    `ResteasyProviderFactory` | `getProviderFactory()`
    `Object` | `invoke(Object[] args)`
    `boolean` | `isFollowRedirects()`
    `void` | `setFollowRedirects(boolean followRedirects)`
    `void` | `setHttpMethod(String httpMethod)`

    - ### Methods inherited from class org.jboss.resteasy.client.core.ClientInterceptorRepositoryImpl

      `copyClientInterceptorsTo, getExecutionInterceptorList, getExecutionInterceptors, getInterceptors, getInterceptors, getReaderInterceptorList, getReaderInterceptors, getWriterInterceptorList, getWriterInterceptors, prefixClientInterceptorsTo, registerInterceptor, setExecutionInterceptors, setExecutionInterceptors, setReaderInterceptors, setWriterInterceptors`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### httpMethod

          protected String httpMethod

    - #### uri

          protected ResteasyUriBuilder uri

    - #### method

          protected Method method

    - #### declaring

          protected Class declaring

    - #### accepts

          protected MediaType accepts

    - #### marshallers

          protected Marshaller[] marshallers

    - #### executor

          protected ClientExecutor executor

    - #### followRedirects

          protected boolean followRedirects

    - #### extractor

          protected EntityExtractor extractor

    - #### extractorFactory

          protected EntityExtractorFactory extractorFactory

    - #### baseUri

          protected URI baseUri

    - #### attributes

          protected Map<String,Object> attributes

  - ### Constructor Detail

    - #### ClientInvoker

          public ClientInvoker(URI baseUri,
                       Class declaring,
                       Method method,
                       ResteasyProviderFactory providerFactory,
                       ClientExecutor executor,
                       EntityExtractorFactory extractorFactory)

    - #### ClientInvoker

          public ClientInvoker(URI baseUri,
                       Class declaring,
                       Method method,
                       ProxyConfig config)

  - ### Method Detail

    - #### getAttributes

          public Map<String,Object> getAttributes()

    - #### getAccepts

          public MediaType getAccepts()

    - #### getMethod

          public Method getMethod()

    - #### getDeclaring

          public Class getDeclaring()

    - #### getProviderFactory

          public ResteasyProviderFactory getProviderFactory()

    - #### invoke

          public Object invoke(Object[] args)

      Specified by:
        `invoke` in interface `MethodInvoker`

    - #### createRequest

          protected ClientRequest createRequest(Object[] args)

    - #### getHttpMethod

          public String getHttpMethod()

    - #### setHttpMethod

          public void setHttpMethod(String httpMethod)

    - #### isFollowRedirects

          public boolean isFollowRedirects()

    - #### setFollowRedirects

          public void setFollowRedirects(boolean followRedirects)

    - #### followRedirects

          public void followRedirects()

Copyright © 2014. All Rights Reserved.